diff --git a/src/backend/access/heap/heapam.c b/src/backend/access/heap/heapam.c
index 7dcc601..d53aede 100644
--- a/src/backend/access/heap/heapam.c
+++ b/src/backend/access/heap/heapam.c
@@ -255,6 +255,11 @@ heapgetpage(HeapScanDesc scan, BlockNumber page)
 	 * transaction in the standby.
 	 */
 	all_visible = PageIsAllVisible(dp) && !snapshot->takenDuringRecovery;
+	/*
+	 * XXX: there seems to be something wrong with the way the flag is set,
+	 * so don't trust it. Remove this when the cause is found.
+	 */
+	all_visible = false;
 
 	for (lineoff = FirstOffsetNumber, lpp = PageGetItemId(dp, lineoff);
 		 lineoff <= lines;
